/*
 * Class WEL_LOG_BRUSH
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_784 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_784 [] = {0xFF01,1551,783,0xFFFF};
static const EIF_TYPE_INDEX egt_2_784 [] = {0xFF01,783,0xFFFF};
static const EIF_TYPE_INDEX egt_3_784 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_784 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_784 [] = {0xFF01,783,0xFFFF};
static const EIF_TYPE_INDEX egt_6_784 [] = {0xFF01,783,0xFFFF};
static const EIF_TYPE_INDEX egt_7_784 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_784 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_784 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_784 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_784 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_784 [] = {0xFF01,783,0xFFFF};
static const EIF_TYPE_INDEX egt_13_784 [] = {0xFF01,1300,0xFFFF};


static const struct desc_info desc_784[] = {
	{EIF_GENERIC(NULL), 18255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_784), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_784), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_784), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_784), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_784), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_784), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_784), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_784), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_784), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_784), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_784), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_784), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x061F /*783*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_784), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18238, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_784), 18241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18243, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18249, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 18250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18252, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18254, 0xFFFFFFFF},
};
void Init784(void)
{
	IDSC(desc_784, 0, 783);
	IDSC(desc_784 + 1, 1, 783);
	IDSC(desc_784 + 32, 791, 783);
	IDSC(desc_784 + 34, 1359, 783);
	IDSC(desc_784 + 44, 1308, 783);
	IDSC(desc_784 + 54, 839, 783);
}


#ifdef __cplusplus
}
#endif
